//
// SSDT-UIAC.dsl
//
// Dell XPS 15 9560 (with Fingerprint Sensor) 
//
// This SSDT contains customizations for USBInjectAll.kext.
//
// Would not have been possible without the work of RehabMan.
// https://github.com/RehabMan/OS-X-Clover-Laptop-Config
//

DefinitionBlock ("", "SSDT", 2, "hack", "Key", 0)
{
    External (_SB_.PCI0.LPCB.EC, DeviceObj) 
    External (_SB_.PCI0.LPCB.EC.LID0, DeviceObj) 
    External (_SB_.PCI0.LPCB.EC.LID0.XLID, MethodObj) 
    External (IGDS, UnknownObj)
    External (BKLT, IntObj)
    External (P80H, FieldUnitObj) 
    External (_SB_.PCI0.GFX0.DD1F, DeviceObj)    // (from opcode)
    External (RMDT.PUSH, MethodObj)
        External (RMDT.P1, MethodObj)
        External (RMDT.P2, MethodObj)
        External (RMDT.P3, MethodObj)
        External (RMDT.P4, MethodObj)
        External (RMDT.P5, MethodObj)
        External (RMDT.P6, MethodObj)
        External (RMDT.P7, MethodObj)
    External (_SB_.PCI0.LPCB.EC.ECAV, IntObj)
    External (_SB_.PCI0.LPCB.EC.LFCM, MutexObj)
        
    Scope (_SB.PCI0.LPCB.EC.LID0)
    {
    Method (_LID, 0, NotSerialized)
                {
                    \rmdt.p1("LID0._LID enter")
                    \rmdt.p2("ECAV", ECAV)
                    If (LEqual (ECAV, One))
                    {
                        If (LEqual (Acquire (LFCM, 0xA000), Zero))
                        {
                            \rmdt.p1("PASS")
                        }
                    }

                    Store(XLID(), Local0)
                    \rmdt.p2("LID0._LID returning", Local0)
                    Return(Local0)
                }    External (RMDT, DeviceObj)
        
    }
}
//EOF
